-- /packages/intranet-filestorage-size-indicator/sql/postgresql/intranet-filestorage-size-indicator-drop.sql
--
-- Copyright (c) 2015 ]project-open[ (Project Open Business Solutions, S.L.)
--
-- All rights reserved. Please check
-- http://www.project-open.com/en/project-open-license-commercial
--
-- @author frank.bergmann@project-open.com


---------------------------------------------------
-- Drop Contents

-- Delete components and menus
select im_menu__del_module('intranet-filestorage-size-indicator');
select im_component_plugin__del_module('intranet-filestorage-size-indicator');

---------------------------------------------------
-- Delete indicators created by this package
create or replace function inline_0 ()
returns integer as $body$
declare
	v_count		integer;
	row		RECORD;
begin
	FOR row IN
		select	report_id
		from	im_reports
		where	report_code = 'po_file_storage_space'
	LOOP
		PERFORM im_indicator__delete(row.report_id);
	END LOOP;
	return 0;
end;$body$ language 'plpgsql';
select inline_0 ();
drop function inline_0 ();

